# -*- encoding: utf-8 -*-
# stub: sentry-raven 2.9.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sentry-raven".freeze
  s.version = "2.9.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sentry Team".freeze]
  s.bindir = "exe".freeze
  s.date = "2019-01-22"
  s.description = "A gem that provides a client interface for the Sentry error logger".freeze
  s.email = "getsentry@googlegroups.com".freeze
  s.executables = ["raven29".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "LICENSE".freeze]
  s.files = [".gitignore".freeze, ".gitmodules".freeze, ".rspec".freeze, ".rubocop.yml".freeze, ".travis.yml".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "changelog.md".freeze, "exe/raven29".freeze, "lib/raven.rb".freeze, "lib/raven/backtrace.rb".freeze, "lib/raven/base.rb".freeze, "lib/raven/breadcrumbs.rb".freeze, "lib/raven/breadcrumbs/activesupport.rb".freeze, "lib/raven/breadcrumbs/logger.rb".freeze, "lib/raven/cli.rb".freeze, "lib/raven/client.rb".freeze, "lib/raven/configuration.rb".freeze, "lib/raven/context.rb".freeze, "lib/raven/event.rb".freeze, "lib/raven/instance.rb".freeze, "lib/raven/integrations/delayed_job.rb".freeze, "lib/raven/integrations/rack-timeout.rb".freeze, "lib/raven/integrations/rack.rb".freeze, "lib/raven/integrations/rails.rb".freeze, "lib/raven/integrations/rails/active_job.rb".freeze, "lib/raven/integrations/rails/controller_methods.rb".freeze, "lib/raven/integrations/rails/controller_transaction.rb".freeze, "lib/raven/integrations/rails/overrides/debug_exceptions_catcher.rb".freeze, "lib/raven/integrations/rails/overrides/streaming_reporter.rb".freeze, "lib/raven/integrations/railties.rb".freeze, "lib/raven/integrations/rake.rb".freeze, "lib/raven/integrations/sidekiq.rb".freeze, "lib/raven/integrations/tasks.rb".freeze, "lib/raven/interface.rb".freeze, "lib/raven/interfaces/exception.rb".freeze, "lib/raven/interfaces/http.rb".freeze, "lib/raven/interfaces/message.rb".freeze, "lib/raven/interfaces/single_exception.rb".freeze, "lib/raven/interfaces/stack_trace.rb".freeze, "lib/raven/linecache.rb".freeze, "lib/raven/logger.rb".freeze, "lib/raven/processor.rb".freeze, "lib/raven/processor/cookies.rb".freeze, "lib/raven/processor/http_headers.rb".freeze, "lib/raven/processor/post_data.rb".freeze, "lib/raven/processor/removecircularreferences.rb".freeze, "lib/raven/processor/removestacktrace.rb".freeze, "lib/raven/processor/sanitizedata.rb".freeze, "lib/raven/processor/utf8conversion.rb".freeze, "lib/raven/transports.rb".freeze, "lib/raven/transports/dummy.rb".freeze, "lib/raven/transports/http.rb".freeze, "lib/raven/transports/stdout.rb".freeze, "lib/raven/utils/deep_merge.rb".freeze, "lib/raven/utils/exception_cause_chain.rb".freeze, "lib/raven/utils/real_ip.rb".freeze, "lib/raven/version.rb".freeze, "lib/sentry-raven-without-integrations.rb".freeze, "lib/sentry-raven.rb".freeze, "sentry-raven.gemspec".freeze]
  s.homepage = "https://github.com/getsentry/raven-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.0".freeze)
  s.rubygems_version = "3.0.8".freeze
  s.summary = "A gem that provides a client interface for the Sentry error logger".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<faraday>.freeze, [">= 0.7.6", "< 1.0"])
    else
      s.add_dependency(%q<faraday>.freeze, [">= 0.7.6", "< 1.0"])
    end
  else
    s.add_dependency(%q<faraday>.freeze, [">= 0.7.6", "< 1.0"])
  end
end

